<template>
    <div>
        <div class="boxOpenRight" @click="toggleOpened">
            <svg>
                <use xlink:href="/img/sprite.svg#menu"></use>
            </svg>
            {{ $t('ui.header.menu.profile') }}
        </div>
        <div class="mobileRightOverflow" v-if="opened">
            <h2 class="title-mobile">{{ $t('ui.header.menu.welcome') }}</h2>
            <div class="box-welcome">
                <div class="box-miniAvatar">
                    <div class="green"></div>
                    <div class="gray"></div>
                    <svg>
                        <use xlink:href="/img/sprite.svg#profile"></use>
                    </svg>
                </div>
            </div>
            <user-online>

            </user-online>
            <a href="#" class="btn-statTwo" @click="toggleStats">
                <svg>
                    <use xlink:href="/img/sprite.svg#marketing"></use>
                </svg>
                {{ $t('ui.header.short_stats.button') }}
            </a>
            <p class="text-time">
                {{ $t('ui.header.server_time') }}
                <clock></clock>
            </p>
            <locale-changer/>
            <div class="box-calendar">
                <div class="clickIcon">
                    <svg>
                        <use xlink:href="/img/sprite.svg#calendar"></use>
                    </svg>
                </div>
                <div class="box-calendarBody">
                    <div class="graphick">
                        <p class="text-graphick">{{ $t('ui.header.calendar.title') }}</p>
                        <div class="box__graphick--element">
                            <p class="text-o"> {{ $t('ui.header.calendar.online') }}</p>
                            <span class="number-g">09:00:00</span>
                        </div>
                        <div class="box__graphick--element">
                            <p class="text-o"> {{ $t('ui.header.calendar.offline') }}</p>
                            <span class="number-g">23:00:00</span>
                        </div>
                        <div class="box-check">
                            <div class="box-check-check">
                                <input type="checkbox" class="checkbox" id="checkboxCalendar2"/>
                                <label for="checkboxCalendar2"></label>
                            </div>
                            <p class="text-Online">
                                <span class="online2">{{ $t('ui.on') }}</span><span class="offline2">{{
                                    $t('ui.off')
                                }}</span>
                            </p>
                        </div>
                    </div>
                </div>

            </div>

            <ul class="mobileList">
                <li>
                    <a href="#">
                        <svg>
                            <use xlink:href="/img/sprite.svg#business-graphic-with-semicircles"></use>
                        </svg>
                        Личный кабинет
                    </a>
                </li>
                <li>
                    <a href="#">
                        <svg>
                            <use xlink:href="/img/sprite.svg#power-button-off"></use>
                        </svg>
                        Выйти
                    </a>
                </li>
            </ul>
        </div>
        <mobile-short-stats v-if="opened_short" @close="closeStats"></mobile-short-stats>
    </div>
</template>

<script>
import UserOnline from "./UserOnline";
import LocaleChanger from "./LocaleChanger";
import Clock from "./Clock";
import MobileShortStats from "./MobileShortStats";

export default {
    name: "MobileProfile",
    data(){
        return {
            opened: false,
            opened_short: false
        }
    },
    methods: {
        toggleOpened(){
            this.opened = !this.opened;
        },
        toggleStats(){
            this.opened_short = !this.opened_short;
        },
        closeStats(){
            this.opened_short = false;
        }
    },
    components: {
        Clock,
        UserOnline,
        LocaleChanger,
        MobileShortStats
    }
}
</script>

<style scoped>

</style>
